//Robo India tutorial on Arduino digital Voltmeter
//https://www.roboindia.com/tutorials/

#include <Wire.h>  
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x3F,20, 4);
float voltage = 0.0;
int input_val;

void setup() 
{
  lcd.init();
  lcd.backlight();        // makes Backligh ON. 
  lcd.clear();            // Clears LCD
  lcd.print("Arduino Voltage");     //display on LCD after code upload
  lcd.setCursor(6, 1);
  lcd.print("Meter");
  delay(2000);

}

void loop() 
{
   input_val = analogRead(A0);
   voltage = (input_val * 5.0) / 1024.0;   //conversion formula for voltage

   if (voltage < 0.1) 
   {
     voltage=0.0;
   } 
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Voltage = ");
    lcd.print(voltage);
    lcd.setCursor(14,0);
    lcd.print("V");
    delay(30);
}
